<%@ Import Namespace="System.IO" %>
<%@ Import Namespace="System.Net" %>

<H3>HTML for http://www.amazon.com</H3>

<%
dim myRequest as HttpWebRequest
dim myResponse as HttpWebResponse
dim sr as StreamReader			
dim line as String

myRequest = CType(WebRequest.Create("http://www.amazon.com"), _
				   HttpWebRequest)
			
myResponse = CType( myRequest.GetResponse(), _
					HttpWebResponse )
		
sr = new StreamReader( myResponse.GetResponseStream() )

line = sr.ReadLine()
do while not line is nothing

	line = HttpUtility.HtmlEncode(line)
	if line.Length <> 0 then
		Response.Write( line & "<BR>" )
	end if
	line = sr.ReadLine()
loop

sr.Close
%>
